苹果提醒开发者明年6月后 iOS应用更新必须支持64位

2014年12月25日  来源:http://mobile.csdn.net/  作者:http://mobile.csdn.net/

2014年12月17日,苹果向开发者发送的新邮件中再次提醒到,在明年6月份之后,App Store里的所有软件都必须支持64位的系统架构,递交的任何32位应用都会被苹果拒绝。

今年10月份就有媒体报道称,苹果宣布从明年2月1日起所有的应用都必须支持64位处理器。并表示,并不会将App Store中现有的应有剔除出商店,只不过新开发的应用和现有应用的更新都必须遵守这个规定。苹果的 A7和 A8 芯片都是64位处理器。

苹果官方建议开发者尽可能使用Xcode默认的“标准架构”编译选项,如此可以保证应用程序同时兼容32位和64位。对于苹果来说,64位处理器的芯片已经成为趋势,如果适配32位应用,就需要经过转译运行,而这无形之中将会产生性能损耗。